Bước tới nội dung

Khác biệt giữa bản sửa đổi của “MediaWiki:Minerva.css”

Bách khoa toàn thư mở Wikipedia
imported>Plantaest
n Hồi sửa về bản sửa đổi 72164846 của Plantaest (talk): Kết thúc Tết 2026
 
Không có tóm lược sửa đổi
Thẻ: Lùi lại thủ công Sửa đổi di động Sửa đổi từ trang di động
 
(không hiển thị 2 phiên bản ở giữa của cùng người dùng)
Dòng 1: Dòng 1:
/* Reset user agent styles. We don't reset small or blockquote here deliberately */
/* Reset user agent styles. We don't reset small or blockquote here deliberately *//* Reset user agent styles. We don't reset small or blockquote here deliberately */
cite,
cite,
dfn {
dfn {

Bản mới nhất lúc 08:03, ngày 10 tháng 8 năm 2026

/* Reset user agent styles. We don't reset small or blockquote here deliberately *//* Reset user agent styles. We don't reset small or blockquote here deliberately */
cite,
dfn {
	font-style: inherit;
}

q {
    quotes: '"' '"' "'" "'";
}

/* Hide stuff meant for accounts with special permissions. Made visible again in
   [[MediaWiki:Group-sysop.css]], [[MediaWiki:Group-patroller.css]] and
   [[MediaWiki:Group-autoconfirmed.css]]. */
.checkuser-show,
.sysop-show,
.templateeditor-show,
.extendedmover-show,
.patroller-show,
.extendedconfirmed-show,
.autoconfirmed-show {
    display: none;
}

/* Prevent flags in tables from collapsing
   Fix for [[phab:T116318]]
*/
.flagicon img {
    min-width: 23px;
}

/* Prevent unnecessary margin at the bottom of centralnotices */
.cnotice {
    margin-bottom: 0 !important;
}

/*
 * BELOW HERE THERE BE SOONTOBE TEMPLATESTYLES THINGS;
 * SEE [[MediaWiki talk:Common.css/to do]]
 */
.mw-parser-output .infobox-header,
.mw-parser-output .infobox-subheader,
.mw-parser-output .infobox-above,
.mw-parser-output .infobox-title,
.mw-parser-output .infobox-image,
.mw-parser-output .infobox-full-data,
.mw-parser-output .infobox-below {
    text-align: center;
}

/* Prevent line breaks in silly places:
   1) Where desired
   2) Links when we don't want them to
*/
.mw-parser-output .nowrap,
.nowraplinks a {
    white-space: nowrap;
}

.mw-parser-output .infobox .nowrap {
    white-space: normal !important;
}

/* But allow wrapping where desired: */
.wrap,
.wraplinks a {
    white-space: normal;
}

/* Generic class texhtml class for inline math */
span.texhtml {
    font-family: serif;
    white-space: nowrap;
}

/* Normal font styling for wikitable row headers with scope="row" tag */
.wikitable.plainrowheaders th[scope="row"],
.wikitable.plainrowheaders th[scope="rowgroup"] {
    font-weight: normal;
    /* @noflip */
    text-align: left;
}

/********* General fixes for night mode - please sync any changes here with [[MediaWiki:Vector.css]] *********/

@media screen {
    html.skin-theme-clientpref-night .navbox a:not(.new):not(.mw-selflink):link,
    html.skin-theme-clientpref-night .infobox a:not(.new):not(.mw-selflink):link {
        color: var(--color-progressive) !important;
    }

    /* T370074 */
    html.skin-theme-clientpref-night .mw-parser-output section > figure img,
    html.skin-theme-clientpref-night .mw-parser-output section > div > figure img,
    html.skin-theme-clientpref-night .mw-parser-output > figure img {
        background: var(--background-color-disabled-fixed, #c8ccd1);
    }
}

@media screen and (prefers-color-scheme: dark) {
    html.skin-theme-clientpref-os .navbox a:not(.new):not(.mw-selflink):link,
    html.skin-theme-clientpref-os .infobox a:not(.new):not(.mw-selflink):link {
        color: var(--color-progressive) !important;
    }

    /* T370074 */
    html.skin-theme-clientpref-os .mw-parser-output section > figure img,
    html.skin-theme-clientpref-os .mw-parser-output section > div > figure img,
    html.skin-theme-clientpref-os .mw-parser-output > figure img {
        background: var(--background-color-disabled-fixed, #c8ccd1);
    }
}